#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	fakechroot
Version		:	2.20.1
Release		:	17.2.0.rel%{?dist}
Summary		:	Gives a fake root environment

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://salsa.debian.org/clint/fakeroot/

Source0		:	%{name}-%{version}.tar.gz
Patch0		:	%{name}-%{version}-statx.patch
Patch1		:	%{name}-%{version}-80.patch
Patch2		:	%{name}-%{version}-100.patch
Patch3		:	%{name}-%{version}-104.patch
Patch4		:	%{name}-%{version}-93.patch

#-----------------------------------------------------------------------------
BuildRequires	:	autoconf
BuildRequires	:	automake
BuildRequires	:	make

Requires	:	%{name}-libs	= %{version}-%{release}

#-----------------------------------------------------------------------------
%description
fakechroot runs a command in an environment were is additionally
possible to use the chroot(8) call without root privileges.
This is useful for allowing users to create their own chrooted
environment with possibility to install another packages without
need for root privileges

#-----------------------------------------------------------------------------
%files
%defattr(-, root,root, -)
%doc scripts/{relocatesymlinks,restoremode,savemode}.sh
%doc NEWS.md README.md THANKS.md
%license COPYING LICENSE
%config(noreplace) %{_sysconfdir}/%{name}/chroot.env
%config(noreplace) %{_sysconfdir}/%{name}/debootstrap.env
%config(noreplace) %{_sysconfdir}/%{name}/rinse.env
%{_bindir}/%{name}
%{_bindir}/env.%{name}
%{_bindir}/ldd.%{name}
%{_sbindir}/chroot.%{name}
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%package		libs
Summary		:	Libraries of %{name}

#-----------------------------------------------------------------------------
%description		libs
This package contains the libraries required by %{name}.

#-----------------------------------------------------------------------------
%files			libs
%{_libdir}/%{name}/lib%{name}.so
%{_sysconfdir}/ld.so.conf.d/%{name}.conf

#=============================================================================
%prep
%setup -q
%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1
%patch -P 4 -p1

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -vif
./configure						\
        --prefix=%{_prefix}				\
	--bindir=%{_bindir}				\
	--sbindir=%{_sbindir}				\
	--includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static
	

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%{__make}						\
	-k check

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

install -dm755 						\
	%{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{name}"				\
	> %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

#-----------------------------------------------------------------------------
%changelog
